Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	widelands - a free version of settlers II (Alpha).
Name:		widelands
Version:	build12
Release:	2
License:	GNU/GPL
URL:		http://www.widelands.org
Group:		Games/Strategy
Source0:	%{name}-build-12-source.tar.bz2
Source1:	%{name}.desktop
Source2:	%{name}.png
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	SDL
Requires:	SDL_ttf
Requires:	SDL_net
Requires:	SDL_image
BuildRequires:	SDL-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_gfx-devel
BuildRequires:  glibc-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel


%description
Widelands is an open source (GPLed) game (work in progress) using SDL.
It is in many ways similar to Settlers II by Bluebyte.
You can check out a demo of the original game at the projects website (works well with dosbox)
(DOS/Win, 3.5 MB, (C) Bluebyte Inc).

%prep
%setup -q -n %{name}

%build
scons install_prefix=%_prefix bindir=%_bindir datadir=%_datadir/widelands localedir=%_datadir/widelands/locale extra_compile_flags="-march=i686 -pipe -fomit-frame-pointer" prefer_localdata=False
./utils/buildcat.py -a
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_datadir/widelands
mkdir -p $RPM_BUILD_ROOT%_applications
mkdir -p $RPM_BUILD_ROOT%_pixmaps

#echo -e "cd /usr/share/widelands && ./widelands && cd - || cd -" > $RPM_BUILD_ROOT%_bindir/widelands
#chmod 755 $RPM_BUILD_ROOT%_bindir/widelands
#install -m 755 widelands $RPM_BUILD_ROOT%_datadir/widelands/widelands
install -m 755 widelands $RPM_BUILD_ROOT%_bindir/widelands
cp -dpR fonts pics worlds campaigns maps tribes locale txts sound music $RPM_BUILD_ROOT%_datadir/widelands
cp %{SOURCE1} -p $RPM_BUILD_ROOT%_applications
cp %{SOURCE2} -p $RPM_BUILD_ROOT%_pixmaps

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 2> /dev/null 

%files
%defattr(-,root,root)
%_bindir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 24 2008 Karsten Brockmann <arcam@ccux-linux.de> build12-2
- rebuilt against SDL_gfx 2.0.17-1
* Sat Apr 05 2008 Stefan Gottwald <gotti@ccux-linux.de> build12-1
- Version update
* Thu Oct 18 2007 Simon Schmeisser <wrt@ccux-linux.de> build11-1
- Version update
* Sun Apr 14 2007 Simon Schmeisser <wrt@ccux-linux.de> build10-1
- Version update
* Sat Sep 16 2006 Karsten Brockmann <arcam@ccux-linux.de> b9half-3
- refined requires list
* Wed Feb 01 2006 Chrisian Wasem <wasem@ccux-linux.de> b9half-2
- added .desktop and menu icon
* Sat Dec 10 2005 Karsten Brockmann <arcam@ccux-linux.de> b9half-1
- Version update
* Wed Nov 30 2005 Stefan Gottwald <gotti@ccux-linux.de> b9-1
- Initial Release
